aboutsummaryrefslogtreecommitdiff
path: root/sh/profile.d
diff options
context:
space:
mode:
authorTom Ryder <tom@sanctum.geek.nz>2017-02-26 14:18:44 +1300
committerTom Ryder <tom@sanctum.geek.nz>2017-02-26 14:18:44 +1300
commitb9d63d76072ca5dd48d387aad8999a82531a9cf2 (patch)
tree0c3b6caf5f7f79f2e46f37e3de0916f6af99b69c /sh/profile.d
parentda6f96a92ffed833e00e0f9d958ed4872dbf3e34 (diff)
downloaddotfiles-b9d63d76072ca5dd48d387aad8999a82531a9cf2.tar.gz
dotfiles-b9d63d76072ca5dd48d387aad8999a82531a9cf2.zip
Add plenv scripts
Probably worthwhile given I use it on several systems and it's not expensive to check whether it exists.
Diffstat (limited to 'sh/profile.d')
-rw-r--r--sh/profile.d/plenv.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/sh/profile.d/plenv.sh b/sh/profile.d/plenv.sh
new file mode 100644
index 00000000..b2b491e1
--- /dev/null
+++ b/sh/profile.d/plenv.sh
@@ -0,0 +1,5 @@
+# Add plenv to PATH and MANPATH if it appears to be in use
+[ -d "$HOME"/.plenv ] || return
+PATH=$HOME/.plenv/shims:$HOME/.plenv/bin:$PATH
+MANPATH=$HOME/.plenv/versions/$(perl -e 'print substr($^V,1)')/man:$MANPATH
+export MANPATH